> ## Documentation Index
> Fetch the complete documentation index at: https://api-portal.etoro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a market order to open a position by specifying the amount of cash you would like to use in the trade.

> Deprecated: This endpoint is no longer present in the current eToro Public API Swagger. Prefer the current replacement endpoints where available.

This endpoint allows traders to place a market order to open a position by specifying the investment amount instead of specifying the number of units. The trade will be executed at the market price, and leverage, stop-loss, and take-profit settings can be applied.



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/trading/execution/demo/market-open-orders/by-amount
openapi: 3.0.1
info:
  title: eToro Api
  version: v1.206.0
  description: >-
    eToro’s public API provides access to real-time financial data, trading
    insights, and account management features, allowing developers to integrate
    eToro’s services into their applications. With access to market prices,
    historical data, and social trading information, the API empowers users to
    enhance their trading strategies. Designed for security and scalability, the
    eToro API ensures smooth and reliable integration for a variety of financial
    applications.


    For more details on integrating with eToro's public WebSocket service,
    please refer to the dedicated [WebSocket
    documentation](./websocket/websocket-doc.html).
servers:
  - url: https://public-api.etoro.com
    description: eToro Public API
security: []
tags:
  - name: Agent Portfolios
  - name: Watchlists
  - name: Feeds
  - name: Asset Explorer
  - name: Market Data
  - name: Identity
  - name: Notifications
  - name: PI Data
  - name: Comments
  - name: Trading Demo
  - name: Trading Real
  - name: Users Info
  - name: Deprecated
paths:
  /api/v1/trading/execution/demo/market-open-orders/by-amount:
    post:
      tags:
        - Deprecated
      summary: >-
        Create a market order to open a position by specifying the amount of
        cash you would like to use in the trade.
      description: >-
        Deprecated: This endpoint is no longer present in the current eToro
        Public API Swagger. Prefer the current replacement endpoints where
        available.


        This endpoint allows traders to place a market order to open a position
        by specifying the investment amount instead of specifying the number of
        units. The trade will be executed at the market price, and leverage,
        stop-loss, and take-profit settings can be applied.
      operationId: openMarketPositionByAmountDemo
      parameters:
        - name: x-request-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
            example: eff9aecd-c392-45be-b379-dfc16a2da2e7
          description: A unique request identifier.
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            format: password
            example: lhgfaslk21490FAScVPkdsb53F9dNkfHG4faZSG5vfjndfcfgdssdgsdHF4663
          description: API key for authentication.
        - name: x-user-key
          in: header
          required: true
          schema:
            type: string
            format: password
            example: >-
              eyJlYW4iOiJVbnJlZ2lzdGVyZWRBcHBsaWNhdGlvbiIsImVrIjoiOE5sZ2cwcW5EUVdROUFNWGpXT2lmOWktZnpidG5KcUlqWGJ3WHJZZkpZcldrbG90ZEhvLVBjSWhQaU8xU1ZtMW84aU1WZGZqN2xWNzFjLXFxLmcybXE1dnh4Q1hUT25xaWRUaTFlcEhmVk1fIn0_
          description: User-specific authentication key.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                InstrumentID:
                  type: integer
                  format: int32
                  description: The unique identifier of the financial instrument to trade.
                IsBuy:
                  type: boolean
                  description: True for a long position, false for a short position.
                Leverage:
                  type: integer
                  format: int32
                  description: The leverage multiplier for the trade.
                Amount:
                  type: number
                  format: double
                  description: The amount of money to invest in the trade.
                StopLossRate:
                  type: number
                  format: double
                  nullable: true
                  description: >-
                    The stop-loss trigger price at which the position will
                    generate a Market Order to close (after it was opened).
                    StopLoss trigger price must be worse than current price.
                TakeProfitRate:
                  type: number
                  format: double
                  nullable: true
                  description: >-
                    The take-profit trigger price at which the position will
                    generate a Market Order to close (after it has opened).
                    TakeProfit trigger price must be better than the current
                    price.
                IsTslEnabled:
                  type: boolean
                  nullable: true
                  description: >-
                    Indicates if a trailing stop loss (TSL) is enabled. This
                    means that the stoploss rate indicated will get updated
                    automatically whenever the asset price increases (for long
                    positions) or decreases (for short position) effectively
                    keeping the stoploss in a constant gap from the best price
                    achieved so far.
                IsNoStopLoss:
                  type: boolean
                  nullable: true
                  description: True if no stop-loss is set for this order.
                IsNoTakeProfit:
                  type: boolean
                  nullable: true
                  description: True if no take-profit is set for this order.
              required:
                - InstrumentID
                - IsBuy
                - Leverage
                - Amount
      responses:
        '200':
          description: Successfully opened a market order.
          content:
            application/json:
              schema:
                type: object
                properties:
                  orderForOpen:
                    type: object
                    properties:
                      instrumentID:
                        type: integer
                        description: The ID of the traded instrument.
                      amount:
                        type: integer
                        description: The invested amount.
                      isBuy:
                        type: boolean
                        description: True for a long position, false for a short position.
                      leverage:
                        type: integer
                        description: The leverage applied to the trade.
                      stopLossRate:
                        type: integer
                        description: The stop-loss threshold rate, if applicable.
                      takeProfitRate:
                        type: integer
                        description: The take-profit thereshold rate, if applicable.
                      isTslEnabled:
                        type: boolean
                        description: Indicates if trailing stop-loss is enabled.
                      mirrorID:
                        type: integer
                        description: ID related to mirrored trades, if applicable.
                      totalExternalCosts:
                        type: integer
                        description: >-
                          Total external costs associated with opening the
                          trade.
                      orderID:
                        type: integer
                        description: The unique order identifier.
                      orderType:
                        type: integer
                        description: The type of order executed.
                      statusID:
                        type: integer
                        description: The status of the order.
                      CID:
                        type: integer
                        description: Customer ID associated with the order.
                      openDateTime:
                        type: string
                        format: date-time
                        description: The timestamp when the order was opened.
                      lastUpdate:
                        type: string
                        format: date-time
                        description: The last update timestamp of the order.
                  token:
                    type: string
                    format: uuid
                    description: A unique confirmation token for the order.
              example:
                orderForOpen:
                  instrumentID: 100000
                  amount: 150
                  isBuy: true
                  leverage: 1
                  stopLossRate: 0
                  takeProfitRate: 0
                  isTslEnabled: false
                  mirrorID: 0
                  totalExternalCosts: 0
                  orderID: 13902598
                  orderType: 17
                  statusID: 1
                  CID: 7765437
                  openDateTime: '2025-04-02T15:47:15.9370502Z'
                  lastUpdate: '2025-04-02T15:47:15.9370502Z'
                token: 066faaee-e1e9-49d2-a568-c6e1cc336ad8
      deprecated: true

````